org.apache.ignite.ml.environment.parallelism

## Enum ParallelismStrategy.Type

- java.lang.Object
- - java.lang.Enum<ParallelismStrategy.Type>
  - - org.apache.ignite.ml.environment.parallelism.ParallelismStrategy.Type

- All Implemented Interfaces:
    Serializable, Comparable<ParallelismStrategy.Type>
  Enclosing interface:
    ParallelismStrategy

      public static enum ParallelismStrategy.Type
      extends Enum<ParallelismStrategy.Type>

  The type of parallelism.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_PARALLELISM` No parallelism.
    `ON_DEFAULT_POOL` On default pool.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParallelismStrategy.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParallelismStrategy.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PARALLELISM

          public static final ParallelismStrategy.Type NO_PARALLELISM

      No parallelism.

    - #### ON_DEFAULT_POOL

          public static final ParallelismStrategy.Type ON_DEFAULT_POOL

      On default pool.

  - ### Method Detail

    - #### values

          public static ParallelismStrategy.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParallelismStrategy.Type c : ParallelismStrategy.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParallelismStrategy.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020